import { utils } from "~/utils/utilities";
import Base from "./base";
import { H3Event } from "h3";

export const listPaging = async(event: H3Event) => {
    try {
        const { apiUrl } = useRuntimeConfig().public
        const { siteId, page, fetch } = getQuery(event)

        const { items, total }: any = await $fetch(`${apiUrl}/cms/event/condition/paging:${page}-${fetch}`, {
            method: 'POST',
            body: {siteIds: [siteId]}
        })
        return {items, total}
    } catch (error) {
        handleError(error);
    }
}

export const fetchByCode = async(event: H3Event) => {
    try {
        const { apiUrl } = useRuntimeConfig().public
        const { eventCode }: any = getQuery(event)
        const { item }: any = await $fetch(`${apiUrl}/cms/event/code:${eventCode}`, {
            method: 'GET',
            headers: {
                Site: 1
            }
        })
        return item
    } catch (error) {
        handleError(error)
    }
}

export const fetchById = async(event: H3Event) => {
    try {
        const { apiUrl } = useRuntimeConfig().public
        const { eventId }: any = getQuery(event)
        const { item }: any = await $fetch(`${apiUrl}/cms/event/${eventId}`, {
            method: 'GET',
            headers: {
                Site: 1
            }
        })
        return item
    } catch (error) {
        handleError(error)
    }
}
